<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:ext="http://www.liquibase.org/xml/ns/dbchangelog-ext"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.9.xsd
                        http://www.liquibase.org/xml/ns/dbchangelog-ext http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-ext.xsd">

    
    <!--
        Added the entity ReqDocUpload.
    -->
    <changeSet id="20210309104124-1" author="jhipster">
        <createTable tableName="req_doc_upload">
            <column name="id" type="bigint">
                <constraints primaryKey="true" nullable="false"/>
            </column>
            <column name="path_doc" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="type_doc" type="varchar(255)">
                <constraints nullable="true" />
            </column>
            <column name="uploaded_at" type="date">
                <constraints nullable="true" />
            </column>
            <column name="updated_at" type="datetime">
                <constraints nullable="true" />
            </column>
            <column name="request_id" type="bigint">
                <constraints nullable="true" />
            </column>
            <!-- jhipster-needle-liquibase-add-column - JHipster will add columns here -->
        </createTable>
        <dropDefaultValue tableName="req_doc_upload" columnName="updated_at" columnDataType="datetime"/>
    </changeSet>

    <changeSet id="20210309104124-1-relations" author="jhipster">

    </changeSet>
    <!-- jhipster-needle-liquibase-add-changeset - JHipster will add changesets here -->

    <!--
        Load sample data generated with Faker.js
        - This data can be easily edited using a CSV editor (or even MS Excel) and
          is located in the 'src/main/resources/config/liquibase/fake-data' directory
        - By default this data is applied when running with the JHipster 'dev' profile.
          This can be customized by adding or removing 'faker' in the 'spring.liquibase.contexts'
          Spring Boot configuration key.
    -->
    <changeSet id="20210309104124-1-data" author="jhipster" context="faker">
        <loadData
                  file="config/liquibase/fake-data/req_doc_upload.csv"
                  separator=";"
                  tableName="req_doc_upload">
            <column name="id" type="numeric"/>
            <column name="path_doc" type="string"/>
            <column name="type_doc" type="string"/>
            <column name="uploaded_at" type="date"/>
            <column name="updated_at" type="datetime"/>
            <!-- jhipster-needle-liquibase-add-loadcolumn - JHipster (and/or extensions) can add load columns here -->
        </loadData>
    </changeSet>

</databaseChangeLog>
